<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();
$set['title']='Мой журнал';
include_once 'sys/inc/thead.php';
title();

mysql_query("UPDATE `jurnal` SET `read` = '1' WHERE `id_kont` = '$user[id]' AND `read` = '0'");

aut();

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `jurnal` WHERE `id_user` = '0' AND `id_kont` = '$user[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет новых событий!<br/>\n";
}

$q=mysql_query("SELECT * FROM `jurnal` WHERE `id_kont` = '$user[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q))
{
if($num==1){ 
echo "<div class='rowup'>"; 
$num=0;
}else{ 
echo "<div class='str'>"; 
$num=1;}

echo "[".vremja($post['time'])."] \n";
$p = trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg'])))))))."\n";
$p1 = trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg'])))))))."\n";
print $p;
preg_match('/<strong>(.*?)<\/strong>/si', $p, $p);
if ($p[1] != null){
$ppp= mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `nick` = '$p[1]' LIMIT 1"));
print '<br/><a href="info.php?id='.$ppp['id'].'">Перейти в анкету</a>';}

preg_match('/<span style\=\"color\:\#ff0000\;\">(.*?)<\/span>/si', $p1, $p1);
if ($p1[1] != null){
print '<br/><a href="gifts.php?id='.$user['id'].'">Перейти к подаркам</a>';}
echo "</div>"; 

}

if ($k_page>1)str("jurnal.php?id=$ank[id]&amp;",$k_page,$page); // Вывод страниц

echo "&nbsp;<br><a href='jurnal_del.php?del_all=$user[id]'>Очистить журнал</a>";

include_once 'sys/inc/tfoot.php';
?>